spring:
  application:
    name: tenant-dubbo-writer-provider
  profiles:
    active: te
  kafka:
    consumer:
      auto-offset-reset: earliest
      enable-auto-commit: false
      group-id: tenant-open-kafka-consumer-group-v8
      fetch-max-wait: 1s
      fetch-min-size: 512
    admin:
      fail-fast: true
    listener:
      ack-mode: manual_immediate
      concurrency: 11
    retry:
      topic:
        delay: 2
        attempts: 5
  main:
    allow-bean-definition-overriding: true
  #解决前端取回日期少8个小时问题
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
dubbo:
  application:
    name: dubbo-writer-provider
    qos-port: 33333
  registry:
    address: nacos://${nacos.address:localhost}:8848?username=nacos&password=nacos
    register-mode: instance
  protocol:
    name: dubbo
    port: -1
    token: false
    payload: 104857600
  config:
    version: 1.0
logging:
  level:
    root: error
  config: classpath:log4j2.xml
mybatis-plus:
  typeAliasesPackage: com.bcxin.tenant.open.domains.typeHandlers
  configuration:
    log-impl: org.apache.ibatis.logging.slf4j.Slf4jImpl
tenant:
  shared:
    api:
      host: https://identify.bcxin.com.cn:14433/
  rules:
    payment:
      sponsor:
        regions: 110,11001,900000